Subject: bug#2025: closed (Re: bug#2025: 23.0.60; emacsclient: frame does not get focus on opening)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Oct 2011 21:34:03 +0000

Your bug report

#2025: 23.0.60; emacsclient: frame does not get focus on opening

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2025: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2025
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2025: 23.0.60; emacsclient: frame does not get focus on opening
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 05 Oct 2011 17:33:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 2025 notabug wontfix
stop

It sounds like there is nothing to be done on the Emacs end, so I will
close this.

Subject: 23.0.60; emacsclient: frame does not get focus on opening
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jan 2009 16:16:51 +0100

If I use server-start, then frames opened by `emacsclient -c' do not
automatically get desktop focus:

emacs -Q -f server-start
emacsclient -c
=> The frame that appears does not have desktop focus (rather, the xterm
window still has focus).

This contrasts with using --daemon:

emacs -Q --daemon
emacsclient -c
=> The frame that appears has desktop focus

I think the server-start case is a user interface bug; the frame should
get focus as it does with --daemon.

In GNU Emacs 23.0.60.30 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-01-21 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10502000